Beta Firmware Release for Canon 5D Mark III Compatibility

So. Burlington, VT – August 31, 2012: LPA Design, manufacturers of PocketWizard Photo Products, the world leader in wireless control of cameras, flash lighting and light meters, announces today the release of PocketWizard MiniTT1 and FlexTT5 for Canon 6.153 beta firmware with Canon EOS 5D Mark III compatibility.

The beta firmware release notes and instructions on how to download the beta firmware can be found here.

Please note this beta firmware release for Canon does not include compatibility with the Canon EOS-1D X or the Rebel T4i.

Although feedback from our user base via social media has been overwhelmingly positive at this point, please note this is a beta release and not an official firmware release.

Learn more about our firmware development plan.

Bookmark and Share

11 Responses to “Beta Firmware Release for Canon 5D Mark III Compatibility”

  1. Jon Woodbury says:

    I have found the beta release to be more solid than the compatibility with my 7D. I haven’t used it in every situation yet but I am thrilled. Thank you!

  2. Sebastian says:

    I have begun using the BETA firmware on my Mark III. I have found that as I change Aperture settings, the flash doesn’t seem to always receive the signals. I ran all the way through the various aperture settings, and some were missed. I am using a 580EX II, so maybe this is the RF interference related issue? Flash was off camera, I had the Mini TT1 in the camera shoe, and the flash mounted in a TT5 without the shield. I was less than 5ft away from the flash.

    • Ron Egatz says:

      Hi Sebastian, thanks for contacting us. We’ve forwarded your question to Tech Support so that they can help you with your particular setup.

  3. What is the status of the firmware update for the Canon 5d Mark III? I’ve been frustrated with inconsistant results using the beta firmware on my TT1 and TT5. Please tell me there is a release coming soon! I have even considered selling my system for the Canon 600EX wireless but would prefer to keep the Pocket wizards because they also trigger my studio strobes.

    • Ron Egatz says:

      Hi, Kathy. I see you are talking to Heather in the PocketWizard service department on PW’s direct email connection. She is sitting down the hall from the engineers and has access to the latest information you are looking for. Please continue to work with her through this email connection. Thank you.

  4. Josef Baukes says:

    Hi there,

    i recently purchased Pocketwizards Mini TT1 and Flexi TT5. I use a Canon 5D Mark iii.

    I understand that are some problems – can you please let me know if i need to download v 6.153 for it to work properly. i have notice that there are some problems with 6.150 but i am not sure if this is the camera or the radios.

    regards

    josef

    • Ron Egatz says:

      The current release version is not compatible with the Canon 5D Mark III. The PocketWizard Beta version, 6.153 has the proper timing corrections to be successful with the Mark III. However, as a beta firmware, it may still need a few course corrections to be fully compatible. We should see a release version of the Canon firmware in the near future. Testing with the EOS 1Dx has not concluded and the 6D is still awaiting testing.

      Please upgrade your Mini and Flex through the PocketWizard Utility software.

  5. David says:

    I regret purchasing my 5 FlexTT5s I wish I’d have chosen another trigger manufacturer, one that actually listens to it’s users and acts upon new products.

    The 5D MKIII was released in March 2012 and now, 9 months later in December we are still waiting for a release of firmware that is not in Beta. I refuse to install Beta firmware and trust the unknown on a product that is aimed at the pro market and what is considered to be a industry standard!!

    PW you should be ashamed… I will never purchase another product of yours, you have lost my custom and my faith in your product

    • Ron Egatz says:

      We’re truly sorry for the delay. The new operating system of the 5D Mark III has been particularly challenging. The 1Dx more so. We will be releasing the 5D Mark III standard release sometime next week. Please stick with us another week. Good things will come from it. Again, sorry. We must make sure a standard release is trustworthy. Soon.

      • Rafal says:

        How long before we see the EOS 6D support?

        • Ron Egatz says:

          The engineers are working with a 6D at this time. At the moment, however, the D1x is their main effort. We should probably see firmware for it around the end of the month. The 6D will be after that. The speed of the firmware will depend on the adjustments needed. Be sure to check http://www.pocketwizard.com and the blog for breaking information.